# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-SubCalls
Version:	1.09
Release:	10.%{__distinit}%{__distvers}
Summary:	Track the number of times subs are called
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-SubCalls/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Test-SubCalls-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(Hook::LexWrap) >= 0.20
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More) >= 0.42
# Release tests include circular dependencies, so don't do them when bootstrapping:
# Test::MinimumVersion -> Perl::MinimumVersion -> perl-PPI (needs Test::SubCalls to build)
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Pod::Simple) >= 3.07
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::MinimumVersion) >= 0.008
BuildRequires:	perl(Test::Pod) >= 1.26
%endif
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
There are a number of different situations (like testing caching
code) where you want to want to do a number of tests, and then verify
that some underlying subroutine deep within the code was called a
specific number of times.

%prep
%setup -q -n Test-SubCalls-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test %{!?perl_bootstrap:AUTOMATED_TESTING=1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::SubCalls.3pm*

%changelog
* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 1.09-10
- Perl 5.16 post-bootstrap rebuild

* Mon Jun 25 2012 Paul Howarth <paul@city-fan.org> - 1.09-9
- BR: perl(Cwd) and perl(File::Spec::Functions)

* Thu Apr  5 2012 Paul Howarth <paul@city-fan.org> - 1.09-8
- Bump Test::More version requirement to 0.42
- Bump Test::Pod version requirement to 1.26
- BR: perl(Exporter)
- BR: perl(File::Spec) ≥ 0.80
- BR: perl(Pod::Simple) ≥ 3.07 unless bootstrapping
- BR: perl(Test::Builder)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
- Use search.cpan.org source URL

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> - 1.09-6
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Add support for perl_bootstrap macro
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 1.09-4
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> - 1.09-3
- Fix dist tag for RHEL-6 Beta

* Thu Mar  4 2010 Paul Howarth <paul@city-fan.org> - 1.09-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Mon Apr 20 2009 Paul Howarth <paul@city-fan.org> - 1.09-1
- Update to 1.09 (upgrade to Module::Install::DSL 0.83)
- Update to SLES-compatible dist tag macros
- Add buildreqs perl(Test::CPAN::Meta) and perl(Test::MinimumVersion) >= 0.008
  and enable author tests

* Wed Sep  3 2008 Paul Howarth <paul@city-fan.org> - 1.08-1
- Update to 1.08
- Add buildreq perl(ExtUtils::MakeMaker

* Mon Sep  1 2008 Paul Howarth <paul@city-fan.org> - 1.07-4
- Import from Fedora
- Drop version requirements for perl(Test::Builder::Tester) and
  perl(Test::More) to support building on older distributions

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.07-3
- Rebuild for perl 5.10 (again)

* Sat Jan 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.07-2
- Rebuild for new perl

* Wed Dec 19 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.07-1
- Bump to 1.07
- License fix

* Fri May 12 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-1
- Update to 1.06

* Tue Apr 25 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.05-1
- First build
